Index: uspace/srv/net/il/ip/ip.c
===================================================================
--- uspace/srv/net/il/ip/ip.c	(revision 02314f8abb5a1bda938d1dbd628a0f235d680055)
+++ uspace/srv/net/il/ip/ip.c	(revision 4e5c7baa5e949999fdcc71299240dea3d1a5369c)
@@ -144,5 +144,5 @@
 static int ip_get_icmp_phone(void)
 {
-	ip_proto_ref proto;
+	ip_proto_t *proto;
 	int phone;
 
@@ -308,5 +308,5 @@
  *			nil_packet_size_req() function.
  */
-static int ip_netif_initialize(ip_netif_ref ip_netif)
+static int ip_netif_initialize(ip_netif_t *ip_netif)
 {
 	measured_string_t names[] = {
@@ -348,5 +348,5 @@
 	char *data;
 	measured_string_t address;
-	ip_route_ref route;
+	ip_route_t *route;
 	in_addr_t gateway;
 	int index;
@@ -378,5 +378,5 @@
 			return ENOTSUP;
 		} else if (ip_netif->ipv == IPV4) {
-			route = (ip_route_ref) malloc(sizeof(ip_route_t));
+			route = (ip_route_t *) malloc(sizeof(ip_route_t));
 			if (!route) {
 				net_free_settings(configuration, data);
@@ -491,5 +491,5 @@
 static int ip_mtu_changed_message(device_id_t device_id, size_t mtu)
 {
-	ip_netif_ref netif;
+	ip_netif_t *netif;
 
 	fibril_rwlock_write_lock(&ip_globals.netifs_lock);
@@ -516,5 +516,5 @@
 static int ip_device_state_message(device_id_t device_id, device_state_t state)
 {
-	ip_netif_ref netif;
+	ip_netif_t *netif;
 
 	fibril_rwlock_write_lock(&ip_globals.netifs_lock);
@@ -993,5 +993,5 @@
  */
 static int
-ip_send_route(packet_t packet, ip_netif_ref netif, ip_route_ref route,
+ip_send_route(packet_t packet, ip_netif_t *netif, ip_route_t *route,
     in_addr_t *src, in_addr_t dest, services_t error)
 {
@@ -1065,9 +1065,9 @@
  * @returns		NULL if no route was found.
  */
-static ip_route_ref
-ip_netif_find_route(ip_netif_ref netif, in_addr_t destination)
+static ip_route_t
+*ip_netif_find_route(ip_netif_t *netif, in_addr_t destination)
 {
 	int index;
-	ip_route_ref route;
+	ip_route_t *route;
 
 	if (!netif)
@@ -1093,8 +1093,8 @@
  * @returns		NULL if no route was found.
  */
-static ip_route_ref ip_find_route(in_addr_t destination) {
+static ip_route_t *ip_find_route(in_addr_t destination) {
 	int index;
-	ip_route_ref route;
-	ip_netif_ref netif;
+	ip_route_t *route;
+	ip_netif_t *netif;
 
 	// start with the last netif - the newest one
@@ -1119,7 +1119,7 @@
  * @returns		NULL if no IP address was found.
  */
-static in_addr_t *ip_netif_address(ip_netif_ref netif)
-{
-	ip_route_ref route;
+static in_addr_t *ip_netif_address(ip_netif_t *netif)
+{
+	ip_route_t *route;
 
 	route = ip_routes_get_index(&netif->routes, 0);
@@ -1147,5 +1147,5 @@
     tl_received_msg_t received_msg)
 {
-	ip_proto_ref proto;
+	ip_proto_t *proto;
 	int index;
 
@@ -1153,5 +1153,5 @@
 		return EINVAL;
 
-	proto = (ip_proto_ref) malloc(sizeof(ip_protos_t));
+	proto = (ip_proto_t *) malloc(sizeof(ip_protos_t));
 	if (!proto)
 		return ENOMEM;
@@ -1180,10 +1180,10 @@
 ip_device_req_local(int il_phone, device_id_t device_id, services_t netif)
 {
-	ip_netif_ref ip_netif;
-	ip_route_ref route;
+	ip_netif_t *ip_netif;
+	ip_route_t *route;
 	int index;
 	int rc;
 
-	ip_netif = (ip_netif_ref) malloc(sizeof(ip_netif_t));
+	ip_netif = (ip_netif_t *) malloc(sizeof(ip_netif_t));
 	if (!ip_netif)
 		return ENOMEM;
@@ -1251,6 +1251,6 @@
 {
 	int addrlen;
-	ip_netif_ref netif;
-	ip_route_ref route;
+	ip_netif_t *netif;
+	ip_route_t *route;
 	struct sockaddr *addr;
 	struct sockaddr_in *address_in;
@@ -1367,5 +1367,5 @@
     size_t *content, size_t *suffix)
 {
-	ip_netif_ref netif;
+	ip_netif_t *netif;
 	int index;
 
@@ -1454,5 +1454,5 @@
     services_t error)
 {
-	ip_proto_ref proto;
+	ip_proto_t *proto;
 	int phone;
 	services_t service;
@@ -1557,5 +1557,5 @@
 	ip_header_ref header;
 	in_addr_t dest;
-	ip_route_ref route;
+	ip_route_t *route;
 	int phone;
 	struct sockaddr *addr;
@@ -1647,6 +1647,6 @@
     in_addr_t netmask, in_addr_t gateway)
 {
-	ip_route_ref route;
-	ip_netif_ref netif;
+	ip_route_t *route;
+	ip_netif_t *netif;
 	int index;
 
@@ -1659,5 +1659,5 @@
 	}
 
-	route = (ip_route_ref) malloc(sizeof(ip_route_t));
+	route = (ip_route_t *) malloc(sizeof(ip_route_t));
 	if (!route) {
 		fibril_rwlock_write_unlock(&ip_globals.netifs_lock);
@@ -1681,5 +1681,5 @@
 ip_set_gateway_req_local(int ip_phone, device_id_t device_id, in_addr_t gateway)
 {
-	ip_netif_ref netif;
+	ip_netif_t *netif;
 
 	fibril_rwlock_write_lock(&ip_globals.netifs_lock);
@@ -1721,7 +1721,7 @@
 	icmp_type_t type;
 	icmp_code_t code;
-	ip_netif_ref netif;
+	ip_netif_t *netif;
 	measured_string_t address;
-	ip_route_ref route;
+	ip_route_t *route;
 	ip_header_ref header;
 
@@ -1782,5 +1782,5 @@
 	in_addr_t *dest;
 	in_addr_t *src;
-	ip_route_ref route;
+	ip_route_t *route;
 	ipv4_pseudo_header_ref header_in;
 
